<?php
// استلام بيانات الباقة والوقت
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  $package = $_POST['package'] ?? '';
  $date = $_POST['date'] ?? '';
  $time = $_POST['time'] ?? '';
  list($hours, $price) = explode('|', $package);
} else {
  header("Location: hourly-options.php");
  exit;
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
  <meta charset="UTF-8" />
  <title>تأكيد بيانات الحجز بالساعة</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
  <style>
    body { font-family: 'Cairo', sans-serif; background-color: #f8f9fa; padding: 30px; }
    .box { max-width: 600px; margin: auto; background: #fff; padding: 25px; border-radius: 12px; box-shadow: 0 0 15px rgba(0,0,0,0.1); }
    .box h4 { color: #0d6efd; margin-bottom: 20px; }
  </style>
</head>
<body>

<div class="box">
  <h4 class="text-center">بيانات العميل - حجز بالساعة</h4>

  <div class="mb-4">
    <p><strong>الباقة المختارة:</strong> <?= $hours ?> ساعات</p>
    <p><strong>السعر:</strong> <?= $price ?> د.ك</p>
    <p><strong>التاريخ:</strong> <?= $date ?></p>
    <p><strong>الوقت:</strong> <?= $time ?></p>
  </div>

  <form action="submit-hourly.php" method="POST">
    <input type="hidden" name="hours" value="<?= $hours ?>">
    <input type="hidden" name="price" value="<?= $price ?>">
    <input type="hidden" name="date" value="<?= $date ?>">
    <input type="hidden" name="time" value="<?= $time ?>">

    <div class="mb-3">
      <label class="form-label">الاسم الكامل</label>
      <input type="text" name="full_name" class="form-control" required>
    </div>

    <div class="mb-3">
      <label class="form-label">رقم الجوال</label>
      <input type="tel" name="phone" class="form-control" required placeholder="مثال: 965XXXXXXXX">
    </div>

    <div class="mb-3">
      <label class="form-label">الرقم المدني</label>
      <input type="text" name="civil_id" class="form-control" required>
    </div>

    <div class="mb-3">
      <label class="form-label">العنوان</label>
      <textarea name="address" class="form-control" rows="2" required></textarea>
    </div>

    <button type="submit" class="btn btn-primary w-100">تأكيد وحجز</button>
  </form>
</div>

</body>
</html>