<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
  <meta charset="UTF-8" />
  <title>اختيار الباقة والتاريخ</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
  <style>
    body {
      font-family: 'Cairo', sans-serif;
      background-color: #f7f9fc;
      padding: 30px;
    }
    .package-card {
      border: 2px solid #dee2e6;
      border-radius: 10px;
      padding: 20px;
      text-align: center;
      cursor: pointer;
      transition: all 0.3s ease;
    }
    .package-card:hover {
      background-color: #e9f5ff;
      border-color: #0d6efd;
    }
    .package-card input {
      display: none;
    }
    .package-card.active {
      background-color: #cfe2ff;
      border-color: #0d6efd;
    }
  </style>
</head>
<body>

<div class="container">
  <h3 class="text-center text-primary mb-4">اختيار الباقة + الوقت والتاريخ</h3>
  <form action="booking-hourly.php" method="POST">
    <div class="row g-3 mb-4">
      <div class="col-md-3">
        <label class="package-card d-block">
          <input type="radio" name="package" value="2|3" required>
          <strong>2 ساعات</strong><br>
          <span>3 د.ك</span>
        </label>
      </div>
      <div class="col-md-3">
        <label class="package-card d-block">
          <input type="radio" name="package" value="4|5">
          <strong>4 ساعات</strong><br>
          <span>5 د.ك</span>
        </label>
      </div>
      <div class="col-md-3">
        <label class="package-card d-block">
          <input type="radio" name="package" value="6|7">
          <strong>6 ساعات</strong><br>
          <span>7 د.ك</span>
        </label>
      </div>
      <div class="col-md-3">
        <label class="package-card d-block">
          <input type="radio" name="package" value="8|9">
          <strong>8 ساعات</strong><br>
          <span>9 د.ك</span>
        </label>
      </div>
    </div>

    <div class="row mb-4">
      <div class="col-md-6">
        <label for="date" class="form-label">اختر التاريخ</label>
        <input type="date" class="form-control" name="date" id="date" required>
      </div>
      <div class="col-md-6">
        <label for="time" class="form-label">اختر وقت البدء</label>
        <input type="time" class="form-control" name="time" id="time" required>
      </div>
    </div>

    <button type="submit" class="btn btn-primary w-100">التالي: بيانات العميل</button>
  </form>
</div>

<script>
  const cards = document.querySelectorAll('.package-card input');
  cards.forEach(card => {
    card.addEventListener('change', () => {
      document.querySelectorAll('.package-card').forEach(el => el.classList.remove('active'));
      card.closest('.package-card').classList.add('active');
    });
  });
</script>

</body>
</html>