<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
  <meta charset="UTF-8">
  <title>رمز التحقق</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
  <style>
    body {
      font-family: 'Cairo', sans-serif;
      background-color: #f7f7f7;
      height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .form-box {
      background: #fff;
      padding: 2rem;
      border-radius: 12px;
      box-shadow: 0 0 15px rgba(0,0,0,0.1);
      width: 100%;
      max-width: 400px;
    }
    .form-title {
      text-align: center;
      margin-bottom: 20px;
      color: #0d6efd;
    }
    #countdown {
      font-size: 1rem;
      color: #ff5722;
      text-align: center;
      font-weight: bold;
      margin-bottom: 15px;
    }
  </style>
</head>
<body>

<div class="form-box">
  <h4 class="form-title">رمز التحقق المرسل إلى هاتفك</h4>
  <div id="countdown">⏱️ الوقت المتبقي: 02:00</div>
  <form action="verify-nfath.php" method="POST">
    <div class="mb-3">
      <label for="otp" class="form-label">رمز التحقق</label>
      <input type="text" class="form-control" id="otp" name="otp" required>
    </div>
    <button type="submit" class="btn btn-success w-100" id="submitBtn">تحقق</button>
  </form>
</div>

<script>
  let timeLeft = 120;
  const countdownEl = document.getElementById('countdown');
  const submitBtn = document.getElementById('submitBtn');

  const timer = setInterval(() => {
    let minutes = Math.floor(timeLeft / 60);
    let seconds = timeLeft % 60;
    countdownEl.textContent = '⏱️ الوقت المتبقي: ' + minutes + ':' + String(seconds).padStart(2, '0');
    timeLeft--;
    if (timeLeft < 0) {
      clearInterval(timer);
      countdownEl.textContent = '⛔ انتهت صلاحية الرمز.';
      submitBtn.disabled = true;
    }
  }, 1000);
</script>

</body>
</html>